%define name	kfilereplace
%define version	0.7.0
%define release	9mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPL
Source0:	http://unc.dl.sourceforge.net/sourceforge/kfilereplace/%{name}-%{version}.tar.bz2
Source1:	%{name}-nb.po.bz2
Patch0:		%{name}-0.7.0-nb-translation.patch.bz2
Patch1:		%{name}-0.7.0-remove-icons.patch.bz2
URL:		http://kfilereplace.sourceforge.net
BuildRequires:	qt3-devel kdebase-devel libz-devel XFree86-devel libart_lgpl-devel libpng-devel
BuildRequires:	libjpeg-devel libexpat-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Replaces strings in all files of a directory

%description
KFileReplace allows to search and replace text strings inside files.
Many advanced options, as wildcards or variables can be used. For example,
it's very easy to replace the string "www.old-site/kfilereplace/" with this
one: "kfilereplace.sourceforge.net/" in all files of a directory. Then it can
be very useful for webmasters, or developers, when writing HTML, PHP, or C++
files.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
bzcat %{SOURCE1} > po/nb.po

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/File tools" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
#install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#conflict with files from package quanta-3.2-9mdk
#install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
	
%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS BUGS ChangeLog INSTALL NEWS README TODO VERSION
%{_bindir}/%{name}
%{_bindir}/%{name}_client
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
#%{_iconsdir}/hicolor/32x32/apps/%{name}.png
#%{_iconsdir}/hicolor/48x48/apps/%{name}.png
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Thu Jul 07 2005 Lenny Cartier <lenny@mandriva.com> 0.7.0-9mdk
- rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.0-8mdk
- Rebuild

* Mon Mar 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.0-7mdk
- remove icons (conflict with files from package quanta-3.2-9mdk)
- fix nb-translation.patch (change spaces to tab)
- add # fix build
- change 0.7.0-cvs to 0.7.0-official

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-6mdk
- drop --target and --host to avoid invalid bin names
- pass compile flags to configure in stead of make
- fix path to qt3 (lib64 issues..)
- added nb translation (work in progress..) (S1 and P0)

* Thu Mar 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-5mdk
- yet another BuildRequires added
- smarter way for dealing with invalid binnames

* Wed Mar 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-4mdk
- add BuildRequires
- more macros
- more consistent
- added --libdir to please mr rpmlint
- add a few more docs
- relativisate symlink
- fix binname

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.0-3mdk
- Rebuild

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- rebuild

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Initial release
